#include <iostream>

using namespace std;

int main()
{
    int n;
    bool ima_li = false;
    cin>>n;
    int arr[n];
    for (int i=0; i<n; i++)
    {
        cin>>arr[i];

        for (int j=1; j<arr[i]; j++)
        {
            for (int l=1; l<arr[i]; l++)
            {
                if (j*j+i*i<500000)
                {
                    if (arr[i] == j*j+l*l)
                    {
                        ima_li = true;
                        break;
                    }
                }
            }
        }
        if(ima_li)
        {
            cout<<1;
        }
        else
        {
            cout<<0;
        }
        ima_li = false;
    }




    return 0;
}
